HackerOne users: Testing against this community violates our program's Terms of Service and will result in your bounty being denied.
Please upgrade here. These earlier versions are no longer being updated and have security issues.

Bug: Erronious "Body is required" Message In IE 11

This discussion is related to the CLEditor jQuery WYSIWYG addon.

Users on Internet Explorer 11 (Confirmed, older versions may also be affected) and attempting to post on a forum with the CLEditor jQuery WYSIWYG plugin enabled will receive the error "Body is required" even if body text is provided, unless they first click on the Write Comment tab at the top of the text box. This issue is not present when using the latest FireFox and Chrome versions.

Tagged:

Comments

  • ShadowdareShadowdare Moderator
    edited December 2013

    Welcome to the community. I removed the duplicate discussion that was posted under the wrong plugin name for you.

    What version number of Vanilla are you using? IIRC, the Vanilla 2.1b2 comes with a newer version of the CLEditor plugin.

    Add Pages to Vanilla with the Basic Pages app

    hgtonight
  • I'm having a similar issue. A "Body is required" message shows in IE 11when trying to post.

    I'm running CLEditor Version 1.1 (is there a version 1.3? Where can I download it?)

    It appears that when a new discussion is started, it is in the "show source" format, where the formatting buttons are not active. One has to click the "show source"/"show rich text" icon a couple of times for the buttons to come on.

    Is there a newer version of this plugin or a way to have the new discussion open in "show rich text?"

  • peregrineperegrine MVP
    edited February 2014

    see shadowdare's comment.

      • you are posting under the wrong plugin.
      • cleditor comes with the core. this is not the same plugin as CLEditor jQuery WYSIWYG
      • as with all updates any newer versions of plugins of core plugins are on github.
      • you once again left out the version of vanilla you are using. its not that hard to post it,is it?

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

    vrijvlinder
  • Sorry, I wasn't sure where to post. Yes, I am using the WYSIWYG (CLEditor) that comes with the core and running Version 2.0.18.10.

    I'll search the forum for previous solutions. Any suggestions are appreciated. Thanks.

  • gharaldgharald
    edited February 2014

    Also buggy with Chrome mobile browser. Here is a short term fix. Go to:

    private function _AddCLEditor($Sender) {

    And add:
    if (preg_match('/CriOS/',$Useragent)) { return; //don't display CLEditor for Chrome mobile browser } if (preg_match('/rv:11/',$Useragent)) { return; //don't display CLEeditor for IE 11 }

    vrijvlinder
  • Even if you use the standard-editor, all discussions are messed up after replying with IE11.
    'Something went wrong'-error appears and you have to somehow remove the post to let the discussion work again...
    Really need a workaround, doesnt matter if I restrict registration for all IE11 users.
    I'm on 2.1b2.

  • chanhchanh OngETC.com - CMS Researcher ✭✭
    edited April 2014

    I have confirm this issue with IE 11 with 2.1b2 and CLEditor 1.2.7

    PS: I was able to get around this issue by turn on the "compatibility view"

    vrijvlinderhgtonightperegrine
  • peregrineperegrine MVP
    edited April 2014

    chanh said.

    I have confirm this issue with IE 11 with 2.1b2 and CLEditor 1.2.7

    PS: I was able to get around this issue by turn on the "compatibility view"

    erroneous no longer Erronious when compatible

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

Sign In or Register to comment.